// 名札の制御
using UnityEngine;

public class NamePlate : MonoBehaviour {
    MapManager manScr;  // マップマネージャへのアクセス用

    void Start () {
        manScr = GameObject.Find("MapManager").GetComponent<MapManager>();
        GetComponent<TextMesh>().text = transform.parent.GetComponent<Human>().name;    // 名前の適用
	}
	
	void Update () {
	    if (manScr != null)
        {
            transform.rotation = Quaternion.Euler(manScr.lookAngle, -manScr.lookDirection, 0);  // 鳥瞰カメラの方向を向く
        }
	}
}
